# Method: platforms.accounts.lookup

- [HTTP request](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#body.request_body)
- [Response body](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#body.LookupAccountResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#body.aspect)
- [Try it!](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup#try-it)

Looks up information about a sub-account for a specified creationRequestId. If no account exists for the given creationRequestId, returns 404.

### HTTP request

`GET https://adsenseplatform.googleapis.com/v1/{parent=platforms/*}/accounts:lookup`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Platform who parents the account. Format: platforms/{platform} |

### Query parameters

| Parameters ||
|---|---|
| `creationRequestId` | `string` Optional. The creationRequestId provided when calling createAccount. |

### Request body

The request body must be empty.

### Response body

Response definition for the lookup account rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the Account Format: platforms/{platform}/accounts/{account_id} |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`